org.eclipse.oomph.setup.maven

## Interface MavenPackage.Literals

- Enclosing interface:
    MavenPackage

      public static interface MavenPackage.Literals

  Defines literals for the meta objects that represent
  - each class,
  - each feature of each class,
  - each enum,
  - and each data type
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static EClass` | `MAVEN_IMPORT_TASK` The meta object literal for the '`Import Task`' class.
    `static EAttribute` | `MAVEN_IMPORT_TASK__PROJECT_NAME_TEMPLATE` The meta object literal for the 'Project Name Template' attribute feature.
    `static EReference` | `MAVEN_IMPORT_TASK__SOURCE_LOCATORS` The meta object literal for the 'Source Locators' containment reference list feature.

- - ### Field Detail

    - #### MAVEN_IMPORT_TASK

          static final EClass MAVEN_IMPORT_TASK

      The meta object literal for the '`Import Task`' class.
      See Also:
        `MavenImportTaskImpl`, `MavenPackageImpl.getMavenImportTask()`
      Generated

    - #### MAVEN_IMPORT_TASK__SOURCE_LOCATORS

          static final EReference MAVEN_IMPORT_TASK__SOURCE_LOCATORS

      The meta object literal for the 'Source Locators' containment reference list feature.
      Generated

    - #### MAVEN_IMPORT_TASK__PROJECT_NAME_TEMPLATE

          static final EAttribute MAVEN_IMPORT_TASK__PROJECT_NAME_TEMPLATE

      The meta object literal for the 'Project Name Template' attribute feature.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html